Update Secure Token Settings
update stream securetoken setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/security/securetoken" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "N",
"policy": "D",
"list": "abc123xyz",
"timeout": "300",
"session": "0",
"keyip": false,
"ips": "192.168.0.1",
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/security/securetoken"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "N",
"policy": "D",
"list": "abc123xyz",
"timeout": "300",
"session": "0",
"keyip": false,
"ips": "192.168.0.1",
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/security/securetoken", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "N",
"policy": "D",
"list": "abc123xyz",
"timeout": "300",
"session": "0",
"keyip": false,
"ips": "192.168.0.1",
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "N",
"policy": "D",
"list": "abc123xyz",
"timeout": "300",
"session": "0",
"keyip": false,
"ips": "192.168.0.1",
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/security/securetoken", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/security/securetoken')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "N",
"policy": "D",
"list": "abc123xyz",
"timeout": "300",
"session": "0",
"keyip": false,
"ips": "192.168.0.1",
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
/streams/settings/security/securetoken
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable secure token. Y means enabled, N means disabled.
Secure token path policy. F means Full Path (secure full path using token), Q means Partial Path (secure partial path using token in query), D means Partial Path (secure partial path using token in path). Allowed values: F, Q, D.
The generated secure token used to sign and validate protected URLs.
Secure token link expiration time in seconds. Min 5 max 25200.
Session type. 1 means moving session (URL is valid when requested within Token Expiration time and subsequent request is made within the Token Expiration time), 0 means fixed session (URL is valid till Token Expiration).
Bind the secure token to the requester IP address. true means enabled, false means disabled.
List of IPs to whitelist when secure token is enabled. IPs should be separated by comma.
Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Secure token path policy. F means Full Path (secure full path using token), Q means Partial Path (secure partial path using token in query), D means Partial Path (secure partial path using token in path). Allowed values: F, Q, D.
DSession type. 1 means moving session (URL is valid when requested within Token Expiration time and subsequent request is made within the Token Expiration time), 0 means fixed session (URL is valid till Token Expiration).
0Bind the secure token to the requester IP address. true means enabled, false means disabled.
falseList of IPs to whitelist when secure token is enabled. IPs should be separated by comma.
192.168.0.1Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
saveResponses
Status of the API response.
Human-readable message describing the result.